Ask Your Question

Revision history [back]

Jack (joq) do you have any beta document to install ros using catkin?

I am trying to building Fuerte from source. The section 1.3.1 from http://www.ros.org/wiki/fuerte/Installation/Debian, works fine! But, in roscore i get troubles from python 2.7. In the roscore I get auto-starting new master Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">

The section 1.3.2, it mess everything, shell blocks on python (to unlock i need to do ctlr-C), and I lost roscore, roscd.. all bins. I need to rebuilt the core libraries.

I think that this section 1.3.2 is not valid for fuerte, or is incompatible for some tools of ubuntu 12.04, i am right? or someone have tried this, successfully ?

Jack (joq) do you have any beta document to install ros using catkin?

I am trying to building Fuerte from source. The section 1.3.1 from http://www.ros.org/wiki/fuerte/Installation/Debian, works fine! But, in roscore i get troubles from python 2.7. In the roscore I get auto-starting new master Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">

UPDATE: The section 1.3.2, 1.3.2 it mess everything, shell blocks on python (to unlock i need to do ctlr-C), and works perfectly! Now I lost roscore, roscd.. all bins. I need to rebuilt am compiling the core libraries. tools!

I think that this section 1.3.2 is not valid for fuerte, or is incompatible for some tools of ubuntu 12.04, i am right? or someone have tried this, successfully ?

Jack (joq) do you have any beta document to install ros using catkin?

I am trying to building Fuerte from source. The section 1.3.1 from http://www.ros.org/wiki/fuerte/Installation/Debian, works fine! But, in roscore i get troubles from python 2.7. In the roscore I get auto-starting new master Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">

UPDATE: The section 1.3.2 it works perfectly! Now I am After compiling the tools!tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

Jack (joq) do you have any beta document to install ros using catkin?

I am trying to building Fuerte from source. The section 1.3.1 from http://www.ros.org/wiki/fuerte/Installation/Debian, works fine! But, in roscore i get troubles from python 2.7. In the roscore I get auto-starting new master Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">

UPDATE: The section 1.3.2 it works perfectly! After compiling the tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

OBSERVATION: Python 2.7.3 from ubuntu 12.04 have some problem and I: see Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">. But all fine!

Jack (joq) do you have any beta document to install ros using catkin?

I am trying to building Fuerte from source. From: http://www.ros.org/wiki/fuerte/Installation/Ubuntu/Source UPDATE: The section 1.3.1 from http://www.ros.org/wiki/fuerte/Installation/Debian, works fine! But, in roscore i get troubles from python 2.7. In the roscore I get auto-starting new master Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">

UPDATE: The section and 1.3.2 it works perfectly! After compiling the tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

OBSERVATION: Python 2.7.3 from ubuntu 12.04 have some problem and I: see Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">. But all fine!

PROBLEM ACTUAL: After compilation ros desktop and adding my stuff, and running: rosdep install -a

I get:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies: hyselam_topo: Cannot locate rosdep definition for [qt4] python_qt_binding: No definition of [python-qt-bindings] for OS version [precise] pocketsphinx: Cannot locate rosdep definition for [gstreamer_pocketsphinx]

Could someone help-me on this? I have installed the package gstreamer0.10-pocketsphinx and get the same error to solve the dependence!

click to hide/show revision 6
format output

updated 2012-05-01 06:57:43 -0600

joq gravatar image

From: http://www.ros.org/wiki/fuerte/Installation/Ubuntu/Source UPDATE: The section 1.3.1 and 1.3.2 it works perfectly! After compiling the tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

OBSERVATION: Python 2.7.3 from ubuntu 12.04 have some problem and I: see Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">. But all fine!

PROBLEM ACTUAL: After compilation ros desktop and adding my stuff, and running: rosdep install -a

I get:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
hyselam_topo: Cannot locate rosdep definition for [qt4]
python_qt_binding: No definition of [python-qt-bindings] for OS version [precise]
pocketsphinx: Cannot locate rosdep definition for [gstreamer_pocketsphinx]

[gstreamer_pocketsphinx]

Could someone help-me on this? I have installed the package gstreamer0.10-pocketsphinx and get the same error to solve the dependence!

From: http://www.ros.org/wiki/fuerte/Installation/Ubuntu/Source UPDATE: The section 1.3.1 and 1.3.2 it works perfectly! After compiling the tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

OBSERVATION: Python 2.7.3 from ubuntu 12.04 have some problem and I: see Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">. But all fine!

PROBLEM ACTUAL: After compilation ros desktop and adding my stuff, and running: rosdep install -a

I get:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
hyselam_topo: Cannot locate rosdep definition for [qt4]
python_qt_binding: No definition of [python-qt-bindings] for OS version [precise]
pocketsphinx: Cannot locate rosdep definition for [gstreamer_pocketsphinx]

Could someone help-me on this? I have installed the package gstreamer0.10-pocketsphinx and get the same error to solve the dependence!

From: http://www.ros.org/wiki/fuerte/Installation/Ubuntu/Source UPDATE: The section 1.3.1 1.5.1 and 1.3.2 1.5.2 it works perfectly! After compiling the tools... they are working, rviz, turtlesim all fine! (After install some deb packages, like: eigen, libxml, curl, nvidea_tolkit...)

OBSERVATION: Python 2.7.3 from ubuntu 12.04 have some problem and I: see Exception AttributeError: AttributeError("'_DummyThread' object has no attribute '_Thread__block'",) in <module 'threading'="" from="" '="" usr="" lib="" python2.7="" threading.pyc'="">. But all fine!